[@rxap/form-system](../wiki/globals) / UseOptionsDataSource

# Function: UseOptionsDataSource()

> **UseOptionsDataSource**\<`Source`\>(`dataSource`, `settings`?): (`target`, `propertyKey`) => `any`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts:39](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-options-data-source.mixin.ts#L39)

## Type Parameters

• **Source**

## Parameters

### dataSource

`IdOrInstanceOrToken`\<`BaseDataSource`\<`Source`, `BaseDataSourceMetadata`, `BaseDataSourceViewer`\<`any`\>\>\>

### settings?

[`InputSelectOptionsSettings`](../wiki/Interface.InputSelectOptionsSettings)\<`Source`\>

## Returns

`Function`

### Parameters

#### target

`any`

#### propertyKey

`string`

### Returns

`any`
